summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Andre Fernando <ando344@gmail.com>2017-01-21 00:30:12 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-01-21 06:24:16 +0700
commit792bb5e343bf6afe5013d2db09c75f595049d7b7 (patch)
tree36a6da3b1604b2a15b46a521e972340f8480c68d /network
parentc03d26ced347f7f69b50dd2365ff2cd626b252c7 (diff)
downloadslackbuilds-792bb5e343bf6afe5013d2db09c75f595049d7b7.tar.gz
slackbuilds-792bb5e343bf6afe5013d2db09c75f595049d7b7.tar.xz
network/wifite: Added (wireless attack tool).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/wifite/README3
-rw-r--r--network/wifite/slack-desc19
-rw-r--r--network/wifite/wifite.SlackBuild51
-rw-r--r--network/wifite/wifite.info10
4 files changed, 83 insertions, 0 deletions
diff --git a/network/wifite/README b/network/wifite/README
new file mode 100644
index 0000000000..12c92297b2
--- /dev/null
+++ b/network/wifite/README
@@ -0,0 +1,3 @@
+Wifite
+
+An automated wireless attack tool
diff --git a/network/wifite/slack-desc b/network/wifite/slack-desc
new file mode 100644
index 0000000000..b745c8e2df
--- /dev/null
+++ b/network/wifite/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+wifite: wifite (wireless attack tool)
+wifite:
+wifite: An automated wireless attack tool.
+wifite:
+wifite:
+wifite: Homepage: https://github.com/derv82/wifite
+wifite:
+wifite:
+wifite:
+wifite:
+wifite:
diff --git a/network/wifite/wifite.SlackBuild b/network/wifite/wifite.SlackBuild
new file mode 100644
index 0000000000..5cc892f91b
--- /dev/null
+++ b/network/wifite/wifite.SlackBuild
@@ -0,0 +1,51 @@
+#!/bin/sh
+
+# Slackware build script for wifite
+
+# Copyright 2017 Andre Fernando, Indonesia
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=wifite
+VERSION=${VERSION:-1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+mkdir -p $PKG/usr/bin
+install -D -m 0775 wifite.py $PKG/usr/bin/wifite
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/wifite/wifite.info b/network/wifite/wifite.info
new file mode 100644
index 0000000000..2a89aa3fd1
--- /dev/null
+++ b/network/wifite/wifite.info
@@ -0,0 +1,10 @@
+PRGNAM="wifite"
+VERSION="git"
+HOMEPAGE="https://github.com/derv82/wifite"
+DOWNLOAD="https://raw.githubusercontent.com/derv82/wifite/master/wifite.py"
+MD5SUM="9f62e3def8aafaf9577312357b7745bf"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="aircrack-ng reaver Pyrit cowpatty wireshark"
+MAINTAINER="Andre Fernando"
+EMAIL="ando344@gmail.com"